/// <reference types="jest" />
import type { Luvio } from '@luvio/engine';
import { createImperativeAdapter, createGraphQLWireAdapterConstructor, createGraphQLImperativeAdapter } from '@salesforce/lds-bindings';
export declare function createLDSAdapter(luvio: Luvio, name: string, factory: any): any;
export declare function createWireAdapterConstructor(): jest.Mock<any, any, any>;
export declare function createInfiniteScrollingWireAdapterConstructor(): jest.Mock<any, any, any>;
export declare function createInstrumentedAdapter(adapter: any, _metadata: any): any;
export declare function bindWireRefresh(): void;
export { createImperativeAdapter, createGraphQLWireAdapterConstructor, createGraphQLImperativeAdapter, };
