import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, UnfulfilledSnapshot as $64$luvio_engine_UnfulfilledSnapshot, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiListUiByListViewApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/getUiApiListUiByListViewApiNameAndObjectApiName';
import { ListUiRepresentation as types_ListUiRepresentation_ListUiRepresentation } from '../types/ListUiRepresentation';
export declare const adapterName = "getListUiByApiName";
export declare const getListUiByApiName_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getListUiByApiName_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetListUiByApiNameConfig {
    listViewApiName: string;
    objectApiName: string;
    fields?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: Array<string>;
}
export declare const createResourceParams: (config: GetListUiByApiNameConfig) => resources_getUiApiListUiByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetListUiByApiNameConfig>): adapter$45$utils_Untrusted<GetListUiByApiNameConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetListUiByApiNameConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig): $64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig, resourceParams: resources_getUiApiListUiByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListUiRepresentation_ListUiRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListUiRepresentation_ListUiRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig, resourceParams: resources_getUiApiListUiByListViewApiNameAndObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetListUiByApiNameConfig, options?: $64$luvio_engine_DispatchResourceRequestContext, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation>): Promise<$64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetListUiByApiNameConfig;
    cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation>;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListUiRepresentation_ListUiRepresentation>): $64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>;
export declare const getListUiByApiNameAdapterFactory: $64$luvio_engine_AdapterFactory<GetListUiByApiNameConfig, types_ListUiRepresentation_ListUiRepresentation>;
