import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, UnfulfilledSnapshot as $64$luvio_engine_UnfulfilledSnapshot, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiMruListUiByObjectApiName_ResourceRequestConfig } from '../resources/getUiApiMruListUiByObjectApiName';
import { ListUiRepresentation as types_ListUiRepresentation_ListUiRepresentation } from '../types/ListUiRepresentation';
export declare const adapterName = "getMruListUi";
export declare const getMruListUi_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getMruListUi_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetMruListUiConfig {
    objectApiName: string;
    fields?: Array<string>;
    optionalFields?: Array<string>;
    pageSize?: number;
    pageToken?: string;
    sortBy?: Array<string>;
}
export declare const createResourceParams: (config: GetMruListUiConfig) => resources_getUiApiMruListUiByObjectApiName_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetMruListUiConfig>): adapter$45$utils_Untrusted<GetMruListUiConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetMruListUiConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig): $64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig, resourceParams: resources_getUiApiMruListUiByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListUiRepresentation_ListUiRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListUiRepresentation_ListUiRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig, resourceParams: resources_getUiApiMruListUiByObjectApiName_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetMruListUiConfig, options?: $64$luvio_engine_DispatchResourceRequestContext, cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation>): Promise<$64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetMruListUiConfig;
    cacheSnapshot?: $64$luvio_engine_UnfulfilledSnapshot<types_ListUiRepresentation_ListUiRepresentation>;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ListUiRepresentation_ListUiRepresentation>): $64$luvio_engine_Snapshot<types_ListUiRepresentation_ListUiRepresentation, any>;
export declare const getMruListUiAdapterFactory: $64$luvio_engine_AdapterFactory<GetMruListUiConfig, types_ListUiRepresentation_ListUiRepresentation>;
