import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiAppsSelected_ResourceRequestConfig } from '../resources/getUiApiAppsSelected';
import { AppRepresentation as types_AppRepresentation_AppRepresentation } from '../types/AppRepresentation';
export declare const adapterName = "getSelectedApp";
export declare const getSelectedApp_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getSelectedApp_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetSelectedAppConfig {
    formFactor?: string;
    userCustomizations?: boolean;
}
export declare const createResourceParams: (config: GetSelectedAppConfig) => resources_getUiApiAppsSelected_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetSelectedAppConfig>): adapter$45$utils_Untrusted<GetSelectedAppConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetSelectedAppConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig): $64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig, resourceParams: resources_getUiApiAppsSelected_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_AppRepresentation_AppRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_AppRepresentation_AppRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_AppRepresentation_AppRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_AppRepresentation_AppRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig, resourceParams: resources_getUiApiAppsSelected_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetSelectedAppConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetSelectedAppConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_AppRepresentation_AppRepresentation>): $64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>;
export declare const getSelectedAppAdapterFactory: $64$luvio_engine_AdapterFactory<GetSelectedAppConfig, types_AppRepresentation_AppRepresentation>;
