import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ListOrderedByInfoInputRepresentation as types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from '../types/ListOrderedByInfoInputRepresentation';
import { ResourceRequestConfig as resources_patchUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig } from '../resources/patchUiApiListPreferencesByListViewApiNameAndObjectApiName';
import { ListPreferencesRepresentation as types_ListPreferencesRepresentation_ListPreferencesRepresentation } from '../types/ListPreferencesRepresentation';
export declare const adapterName = "updateListPreferences";
export declare const updateListPreferences_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const updateListPreferences_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface UpdateListPreferencesConfig {
    listViewApiName: string;
    objectApiName: string;
    columnWidths?: {
        [key: string]: number;
    };
    columnWrap?: {
        [key: string]: boolean;
    };
    orderedBy?: Array<types_ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
}
export declare const createResourceParams: (config: UpdateListPreferencesConfig) => resources_patchUiApiListPreferencesByListViewApiNameAndObjectApiName_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<UpdateListPreferencesConfig>): adapter$45$utils_Untrusted<UpdateListPreferencesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): UpdateListPreferencesConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: UpdateListPreferencesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<import("@luvio/engine").FulfilledSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ListPreferencesRepresentation_ListPreferencesRepresentation, any>>;
export declare const updateListPreferencesAdapterFactory: $64$luvio_engine_AdapterFactory<UpdateListPreferencesConfig, types_ListPreferencesRepresentation_ListPreferencesRepresentation>;
