import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, FetchResponse as $64$luvio_engine_FetchResponse, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { AbstractRecordAvatarRepresentation as types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation } from '../types/AbstractRecordAvatarRepresentation';
export interface ResourceRequestConfig {
    urlParams: {
        recordId: string;
    };
    body: {
        actionType: string;
        blueMasterId?: string;
        externalId?: string;
        photoUrl?: string;
        profileName?: string;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function getResponseCacheKeys(storeKeyMap: any, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_AbstractRecordAvatarRepresentation_AbstractRecordAvatarRepresentation, any>;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
