import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare enum DiscriminatorValues {
    Field = "Field",
    EmptySpace = "EmptySpace"
}
export declare const VERSION = "564e5c47b4143f76e114f8a28a5d6c03";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AbstractFormSubitemRepresentation, existing: AbstractFormSubitemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AbstractFormSubitemRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AbstractFormSubitemRepresentationNormalized, incoming: AbstractFormSubitemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AbstractFormSubitemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Form Subitem
 *
 * Keys:
 *    (none)
 */
export interface AbstractFormSubitemRepresentationNormalized {
    /** Subitem type. */
    subitemType: string;
}
/**
 * Form Subitem
 *
 * Keys:
 *    (none)
 */
export interface AbstractFormSubitemRepresentation {
    subitemType: string;
}
