import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentUnionSelection as $64$luvio_engine_FragmentUnionSelection, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare enum DiscriminatorValues {
    WorkStepStatus = "WorkStepStatus",
    LeadStatus = "LeadStatus",
    CaseStatus = "CaseStatus",
    OpportunityStage = "OpportunityStage"
}
export declare const VERSION = "bd523b2343366edfc25a2dbee2c4e986";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AbstractPicklistValueAttributesRepresentation, existing: AbstractPicklistValueAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AbstractPicklistValueAttributesRepresentationNormalized;
export declare const selectChildren: () => $64$luvio_engine_FragmentUnionSelection;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AbstractPicklistValueAttributesRepresentationNormalized, incoming: AbstractPicklistValueAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare const discriminatorIngest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AbstractPicklistValueAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Additional picklist value attributes.
 *
 * Keys:
 *    (none)
 */
export interface AbstractPicklistValueAttributesRepresentationNormalized {
    /** Indicates the type of picklist attribute value. */
    picklistAtrributesValueType: string;
}
/**
 * Additional picklist value attributes.
 *
 * Keys:
 *    (none)
 */
export interface AbstractPicklistValueAttributesRepresentation {
    picklistAtrributesValueType: string;
}
