import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5fc56cbb7cf818566b16c1074e58cc1b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ContentInputRepresentation, existing: ContentInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ContentInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ContentInputRepresentationNormalized, incoming: ContentInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ContentInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Describes a new content version. To upload a file, provide the binary file in a multipart/form-data body part where name="fileData".
 *
 * Keys:
 *    (none)
 */
export interface ContentInputRepresentationNormalized {
    /** Description of the file to be uploaded. */
    description?: string;
    /** Title of the file to be uploaded. */
    title?: string;
}
/**
 * Describes a new content version. To upload a file, provide the binary file in a multipart/form-data body part where name="fileData".
 *
 * Keys:
 *    (none)
 */
export interface ContentInputRepresentation {
    description?: string;
    title?: string;
}
