import { AbstractFormSubitemRepresentation as AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation } from './AbstractFormSubitemRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "b226cf2a5aa92285444bd9f3a6e39e74";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FieldFormSubitemRepresentation, existing: FieldFormSubitemRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FieldFormSubitemRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FieldFormSubitemRepresentationNormalized, incoming: FieldFormSubitemRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FieldFormSubitemRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Field form subitem.
 *
 * Keys:
 *    (none)
 */
export interface FieldFormSubitemRepresentationNormalized extends AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation {
    /** The API name of the field powering this component  */
    apiName: string;
}
/**
 * Field form subitem.
 *
 * Keys:
 *    (none)
 */
export interface FieldFormSubitemRepresentation extends AbstractFormSubitemRepresentation_AbstractFormSubitemRepresentation {
    apiName: string;
    subitemType: 'Field';
}
