import { Luvio as $64$luvio_engine_Luvio, ReaderFragment as $64$luvio_engine_ReaderFragment, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap } from '@luvio/engine';
import { DocumentNode as $64$luvio_graphql$45$parser_DocumentNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables } from '@luvio/graphql';
import { PartialInterface as graphql_types_Query_PartialInterface } from '../graphql/types/Query';
export declare const TTL = 900000;
export declare const VERSION = "b440235e7e724631f92002fe50e3e096";
export declare const RepresentationType: string;
export declare function select(luvio: $64$luvio_engine_Luvio, document: $64$luvio_graphql$45$parser_DocumentNode, variables: $64$luvio_graphql_GraphQLVariables, operationName?: string): $64$luvio_engine_ReaderFragment;
export declare const ingest: (document: $64$luvio_graphql$45$parser_DocumentNode, variables: $64$luvio_graphql_GraphQLVariables, operationName?: string) => $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(sink: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, document: $64$luvio_graphql$45$parser_DocumentNode, variables: $64$luvio_graphql_GraphQLVariables, data: GraphQLRepresentation, operationName?: string): $64$luvio_engine_DurableStoreKeyMetadataMap;
export type GraphQLRepresentation = GraphQLRepresentationData | GraphQLRepresentationErrors;
export interface GraphQLRepresentationData {
    data: graphql_types_Query_PartialInterface;
    errors?: any[];
    extensions?: any;
}
export interface GraphQLRepresentationErrors {
    data: undefined;
    errors: any[];
    extensions?: any;
}
