import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c5c08ea834378670c9d6f235ff71c9f0";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListObjectPicklistValueRepresentation, existing: ListObjectPicklistValueRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListObjectPicklistValueRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListObjectPicklistValueRepresentationNormalized, incoming: ListObjectPicklistValueRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListObjectPicklistValueRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListObjectPicklistValueRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectPicklistValueRepresentationNormalized {
    /** The API name for this picklist value. */
    apiName: string;
    /** The label name for this picklist value. */
    label: string;
}
/**
 * ListObjectPicklistValueRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectPicklistValueRepresentation {
    apiName: string;
    label: string;
}
