import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "32def9b631252c12b91a8209c1f49f5a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListOrderByInfoRepresentation, existing: ListOrderByInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListOrderByInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListOrderByInfoRepresentationNormalized, incoming: ListOrderByInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListOrderByInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListOrderByInfoRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListOrderByInfoRepresentationNormalized {
    /** API name for the field. */
    fieldApiName: string;
    /** Whether the list column is ascending or descending. */
    isAscending: boolean;
    /** Localized label of the field. */
    label: string | null;
}
/**
 * ListOrderByInfoRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListOrderByInfoRepresentation {
    fieldApiName: string;
    isAscending: boolean;
    label: string | null;
}
