import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "6506134f4d72fdfa349fe60ef1af2413";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListUserPreferenceRepresentation, existing: ListUserPreferenceRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListUserPreferenceRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListUserPreferenceRepresentationNormalized, incoming: ListUserPreferenceRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListUserPreferenceRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListUserPreferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListUserPreferenceRepresentationNormalized {
    /** Column width preferences for the list view. */
    columnWidths: {
        [key: string]: number;
    };
    /** Column wrapping preferences for the list view. */
    columnWrap: {
        [key: string]: boolean;
    };
}
/**
 * ListUserPreferenceRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListUserPreferenceRepresentation {
    columnWidths: {
        [key: string]: number;
    };
    columnWrap: {
        [key: string]: boolean;
    };
}
