import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "4b98b432b21a7b02218689d8b0becdbf";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PrimingRecordRepresentation, existing: PrimingRecordRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PrimingRecordRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PrimingRecordRepresentationNormalized, incoming: PrimingRecordRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PrimingRecordRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Priming record information.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordRepresentationNormalized {
    /** The ID of this record. */
    id: string;
    /** The systemModstamp of the record. */
    systemModstamp: string;
}
/**
 * Priming record information.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordRepresentation {
    id: string;
    systemModstamp: string;
}
