import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "9275dae51451c32d8c6b01e9f8d5cd68";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PrimingRecordsStatsRepresentation, existing: PrimingRecordsStatsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PrimingRecordsStatsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PrimingRecordsStatsRepresentationNormalized, incoming: PrimingRecordsStatsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PrimingRecordsStatsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Priming stats information.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordsStatsRepresentationNormalized {
    /** Count of Records served in all the 'relay' requests */
    recordCountServed: number;
    /** Total number of records across briefcases */
    recordCountTotal: number;
    /** Count of Rule(s) served in all the 'relay' requests */
    ruleCountServed: number;
    /** Total number of rules across briefcases */
    ruleCountTotal: number;
}
/**
 * Priming stats information.
 *
 * Keys:
 *    (none)
 */
export interface PrimingRecordsStatsRepresentation {
    recordCountServed: number;
    recordCountTotal: number;
    ruleCountServed: number;
    ruleCountTotal: number;
}
