import { AbstractRecordLayoutComponentRepresentation as AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation } from './AbstractRecordLayoutComponentRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fdc6bd846a0ed66d1c6e41ce95af55cd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutComponentRepresentation, existing: RecordLayoutComponentRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutComponentRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutComponentRepresentationNormalized, incoming: RecordLayoutComponentRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutComponentRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Concrete record layout component.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutComponentRepresentationNormalized extends AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation {
}
/**
 * Concrete record layout component.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutComponentRepresentation extends AbstractRecordLayoutComponentRepresentation_AbstractRecordLayoutComponentRepresentation {
}
