import { ListOrderedByInfoInputRepresentation as ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation } from './ListOrderedByInfoInputRepresentation';
import { ListUserPreferenceInputRepresentation as ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation } from './ListUserPreferenceInputRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fd03e32223090f1926c62de24c0c0b9d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RelatedListInfoInputRepresentation, existing: RelatedListInfoInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RelatedListInfoInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RelatedListInfoInputRepresentationNormalized, incoming: RelatedListInfoInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RelatedListInfoInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Representation of a Related List Info input.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListInfoInputRepresentationNormalized {
    /** Input representation for orderBy. */
    orderedByInfo: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    /** Input representation for user preferences. */
    userPreferences: ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation;
}
/**
 * Representation of a Related List Info input.
 *
 * Keys:
 *    (none)
 */
export interface RelatedListInfoInputRepresentation {
    orderedByInfo: Array<ListOrderedByInfoInputRepresentation_ListOrderedByInfoInputRepresentation>;
    userPreferences: ListUserPreferenceInputRepresentation_ListUserPreferenceInputRepresentation;
}
