import { SearchFilterDefinitionRepresentation as SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation } from './SearchFilterDefinitionRepresentation';
import { SearchFilterOptionRepresentation as SearchFilterOptionRepresentation_SearchFilterOptionRepresentation } from './SearchFilterOptionRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "60f445c4218b422f8ddf6f7b4dcb302a";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchDataCategoryFilterDefinitionRepresentation, existing: SearchDataCategoryFilterDefinitionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchDataCategoryFilterDefinitionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchDataCategoryFilterDefinitionRepresentationNormalized, incoming: SearchDataCategoryFilterDefinitionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchDataCategoryFilterDefinitionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Data category filter definition
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryFilterDefinitionRepresentationNormalized extends SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation {
    /** Possible values */
    categories: Array<SearchFilterOptionRepresentation_SearchFilterOptionRepresentation>;
    /** Group name */
    groupName: string;
}
/**
 * Data category filter definition
 *
 * Keys:
 *    (none)
 */
export interface SearchDataCategoryFilterDefinitionRepresentation extends SearchFilterDefinitionRepresentation_SearchFilterDefinitionRepresentation {
    categories: Array<SearchFilterOptionRepresentation_SearchFilterOptionRepresentation>;
    groupName: string;
    type: 'DataCategory';
}
