import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d4e38b1f08aca427c57c06b571d54993";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFilterOptionRepresentation, existing: SearchFilterOptionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFilterOptionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFilterOptionRepresentationNormalized, incoming: SearchFilterOptionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFilterOptionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Individual Search Filter option.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterOptionRepresentationNormalized {
    /** Display label for the search filter option. */
    label: string;
    /** Value of the search filter option. */
    value: string;
}
/**
 * Individual Search Filter option.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterOptionRepresentation {
    label: string;
    value: string;
}
