import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "ad91d41fef86d335ecd5766a23c8634d";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchFilterOutputRepresentation, existing: SearchFilterOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchFilterOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchFilterOutputRepresentationNormalized, incoming: SearchFilterOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchFilterOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search filter output response.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterOutputRepresentationNormalized {
    /** Field path where we should apply the filter */
    fieldPath: string;
    /** Operator for the filter */
    operator: string;
    /** Values applied for the filter */
    values: Array<string>;
}
/**
 * Search filter output response.
 *
 * Keys:
 *    (none)
 */
export interface SearchFilterOutputRepresentation {
    fieldPath: string;
    operator: string;
    values: Array<string>;
}
