import type { Luvio, Snapshot } from '@luvio/engine';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { CreateRecordConfig } from '../../generated/adapters/createRecord';
export declare function buildNetworkSnapshot(luvio: Luvio, config: CreateRecordConfig): Promise<Snapshot<RecordRepresentation>>;
export declare const factory: (luvio: Luvio) => (untrustedConfig: unknown) => Promise<Snapshot<RecordRepresentation>>;
