import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiAppsByAppId_ResourceRequestConfig } from '../resources/getUiApiAppsByAppId';
import { AppRepresentation as types_AppRepresentation_AppRepresentation } from '../types/AppRepresentation';
export declare const adapterName = "getAppDetails";
export declare const getAppDetails_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getAppDetails_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetAppDetailsConfig {
    appId: string;
    formFactor?: string;
    userCustomizations?: boolean;
}
export declare const createResourceParams: (config: GetAppDetailsConfig) => resources_getUiApiAppsByAppId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetAppDetailsConfig>): adapter$45$utils_Untrusted<GetAppDetailsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetAppDetailsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig): $64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig, resourceParams: resources_getUiApiAppsByAppId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_AppRepresentation_AppRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_AppRepresentation_AppRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_AppRepresentation_AppRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_AppRepresentation_AppRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig, resourceParams: resources_getUiApiAppsByAppId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetAppDetailsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetAppDetailsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_AppRepresentation_AppRepresentation>): $64$luvio_engine_Snapshot<types_AppRepresentation_AppRepresentation, any>;
export declare const getAppDetailsAdapterFactory: $64$luvio_engine_AdapterFactory<GetAppDetailsConfig, types_AppRepresentation_AppRepresentation>;
