import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiObjectInfoPicklistValuesByFieldApiNameAndObjectApiNameAndRecordTypeId_ResourceRequestConfig } from '../resources/getUiApiObjectInfoPicklistValuesByFieldApiNameAndObjectApiNameAndRecordTypeId';
import { PicklistValuesRepresentation as types_PicklistValuesRepresentation_PicklistValuesRepresentation } from '../types/PicklistValuesRepresentation';
export declare const adapterName = "getPicklistValues";
export declare const getPicklistValues_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getPicklistValues_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetPicklistValuesConfig {
    fieldApiName: string;
    objectApiName: string;
    recordTypeId: string;
}
export declare const createResourceParams: (config: GetPicklistValuesConfig) => resources_getUiApiObjectInfoPicklistValuesByFieldApiNameAndObjectApiNameAndRecordTypeId_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetPicklistValuesConfig>): adapter$45$utils_Untrusted<GetPicklistValuesConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetPicklistValuesConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig): $64$luvio_engine_Snapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig, resourceParams: resources_getUiApiObjectInfoPicklistValuesByFieldApiNameAndObjectApiNameAndRecordTypeId_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_PicklistValuesRepresentation_PicklistValuesRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig, resourceParams: resources_getUiApiObjectInfoPicklistValuesByFieldApiNameAndObjectApiNameAndRecordTypeId_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetPicklistValuesConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetPicklistValuesConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_PicklistValuesRepresentation_PicklistValuesRepresentation>): $64$luvio_engine_Snapshot<types_PicklistValuesRepresentation_PicklistValuesRepresentation, any>;
export declare const getPicklistValuesAdapterFactory: $64$luvio_engine_AdapterFactory<GetPicklistValuesConfig, types_PicklistValuesRepresentation_PicklistValuesRepresentation>;
