import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiRecordAvatarsBatchByRecordIds_ResourceRequestConfig } from '../resources/getUiApiRecordAvatarsBatchByRecordIds';
import { RecordAvatarBulkMapRepresentation as types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation } from '../types/RecordAvatarBulkMapRepresentation';
export declare const adapterName = "getRecordAvatars";
export declare const getRecordAvatars_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRecordAvatars_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRecordAvatarsConfig {
    recordIds: Array<string>;
    formFactor?: string;
}
export declare const createResourceParams: (config: GetRecordAvatarsConfig) => resources_getUiApiRecordAvatarsBatchByRecordIds_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRecordAvatarsConfig>): adapter$45$utils_Untrusted<GetRecordAvatarsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRecordAvatarsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig): $64$luvio_engine_Snapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig, resourceParams: resources_getUiApiRecordAvatarsBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig, resourceParams: resources_getUiApiRecordAvatarsBatchByRecordIds_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRecordAvatarsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRecordAvatarsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation>): $64$luvio_engine_Snapshot<types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation, any>;
export declare const getRecordAvatarsAdapterFactory: $64$luvio_engine_AdapterFactory<GetRecordAvatarsConfig, types_RecordAvatarBulkMapRepresentation_RecordAvatarBulkMapRepresentation>;
