import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, Fragment as $64$luvio_engine_Fragment, Snapshot as $64$luvio_engine_Snapshot, FetchResponse as $64$luvio_engine_FetchResponse, ErrorResponse as $64$luvio_engine_ErrorResponse, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, CoercedAdapterRequestContext as $64$luvio_engine_CoercedAdapterRequestContext, StoreLookup as $64$luvio_engine_StoreLookup, AdapterFactory as $64$luvio_engine_AdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_getUiApiActionsRecordRelatedListRecordByRecordIdsAndRelatedListRecordIds_ResourceRequestConfig } from '../resources/getUiApiActionsRecordRelatedListRecordByRecordIdsAndRelatedListRecordIds';
import { ActionRepresentation as types_ActionRepresentation_ActionRepresentation } from '../types/ActionRepresentation';
export declare const adapterName = "getRelatedListRecordActions";
export declare const getRelatedListRecordActions_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const getRelatedListRecordActions_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface GetRelatedListRecordActionsConfig {
    recordIds: Array<string>;
    relatedListRecordIds: Array<string>;
    actionTypes?: Array<string>;
    formFactor?: string;
    sections?: Array<string>;
}
export declare const createResourceParams: (config: GetRelatedListRecordActionsConfig) => resources_getUiApiActionsRecordRelatedListRecordByRecordIdsAndRelatedListRecordIds_ResourceRequestConfig;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<GetRelatedListRecordActionsConfig>): adapter$45$utils_Untrusted<GetRelatedListRecordActionsConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): GetRelatedListRecordActionsConfig | null;
export declare function adapterFragment(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig): $64$luvio_engine_Fragment;
export declare function buildCachedSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig): $64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>;
export declare function onFetchResponseSuccess(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig, resourceParams: resources_getUiApiActionsRecordRelatedListRecordByRecordIdsAndRelatedListRecordIds_ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ActionRepresentation_ActionRepresentation>): Promise<import("@luvio/engine").FulfilledSnapshot<types_ActionRepresentation_ActionRepresentation, {}> | import("@luvio/engine").StaleSnapshot<types_ActionRepresentation_ActionRepresentation, {}> | import("@luvio/engine").PendingSnapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export declare function onFetchResponseError(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig, resourceParams: resources_getUiApiActionsRecordRelatedListRecordByRecordIdsAndRelatedListRecordIds_ResourceRequestConfig, response: $64$luvio_engine_ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: GetRelatedListRecordActionsConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export type BuildSnapshotContext = {
    luvio: $64$luvio_engine_Luvio;
    config: GetRelatedListRecordActionsConfig;
};
export declare function buildNetworkSnapshotCachePolicy(context: BuildSnapshotContext, coercedAdapterRequestContext: $64$luvio_engine_CoercedAdapterRequestContext): Promise<$64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>>;
export declare function buildCachedSnapshotCachePolicy(context: BuildSnapshotContext, storeLookup: $64$luvio_engine_StoreLookup<types_ActionRepresentation_ActionRepresentation>): $64$luvio_engine_Snapshot<types_ActionRepresentation_ActionRepresentation, any>;
export declare const getRelatedListRecordActionsAdapterFactory: $64$luvio_engine_AdapterFactory<GetRelatedListRecordActionsConfig, types_ActionRepresentation_ActionRepresentation>;
