import { FetchResponse as $64$luvio_engine_FetchResponse, Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, StoreKeySet as $64$luvio_engine_StoreKeySet, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { ResourceRequestConfig as getUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig } from './getUiApiListInfoByListViewApiNameAndObjectApiName';
import { ListInfoBatchRepresentation as types_ListInfoBatchRepresentation_ListInfoBatchRepresentation } from '../types/ListInfoBatchRepresentation';
export declare function createChildResourceParams(resourceParams: ResourceRequestConfig): getUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig[];
export interface ResourceRequestConfig {
    queryParams: {
        ids?: Array<string>;
        names?: Array<string>;
    };
}
export declare function selectChildResourceParams(luvio: $64$luvio_engine_Luvio, childResources: getUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig[], resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function select(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(keys: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_ListInfoBatchRepresentation_ListInfoBatchRepresentation): void;
export declare function ingestSuccessChildResourceParams(luvio: $64$luvio_engine_Luvio, childResourceParamsArray: getUiApiListInfoByListViewApiNameAndObjectApiName_ResourceRequestConfig[], childEnvelopes: Array<any>): {
    childSnapshotData: types_ListInfoBatchRepresentation_ListInfoBatchRepresentation;
    seenRecords: $64$luvio_engine_StoreKeySet<string | $64$luvio_engine_NormalizedKeyMetadata>;
    snapshotState: string;
};
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any> | $64$luvio_engine_StaleSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any> | $64$luvio_engine_PendingSnapshot<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_ListInfoBatchRepresentation_ListInfoBatchRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
