import { DocumentNode as $64$luvio_graphql$45$parser_DocumentNode } from '@luvio/graphql-parser';
import { GraphQLVariables as $64$luvio_graphql_GraphQLVariables } from '@luvio/graphql';
import { Luvio as $64$luvio_engine_Luvio, Fragment as $64$luvio_engine_Fragment, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, FetchResponse as $64$luvio_engine_FetchResponse, SnapshotRefresh as $64$luvio_engine_SnapshotRefresh, FulfilledSnapshot as $64$luvio_engine_FulfilledSnapshot, StaleSnapshot as $64$luvio_engine_StaleSnapshot, PendingSnapshot as $64$luvio_engine_PendingSnapshot, ErrorResponse as $64$luvio_engine_ErrorResponse, ErrorSnapshot as $64$luvio_engine_ErrorSnapshot, ResourceRequest as $64$luvio_engine_ResourceRequest } from '@luvio/engine';
import { GraphqlConfig as adapters_graphql_GraphqlConfig } from '../adapters/graphql';
import { GraphQLRepresentation as types_GraphQLRepresentation_GraphQLRepresentation } from '../types/GraphQLRepresentation';
export interface ResourceRequestConfig {
    body: {
        operationName?: string;
        query: $64$luvio_graphql$45$parser_DocumentNode;
        variables?: $64$luvio_graphql_GraphQLVariables;
    };
}
export declare function select(luvio: $64$luvio_engine_Luvio, config: adapters_graphql_GraphqlConfig): $64$luvio_engine_Fragment;
export declare function keyBuilder(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): string;
export declare function keyBuilder_StructuredKey(luvio: $64$luvio_engine_Luvio, params: ResourceRequestConfig): $64$luvio_engine_NormalizedKeyMetadata;
export declare function getResponseCacheKeys(cacheKeys: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, resourceParams: ResourceRequestConfig, response: types_GraphQLRepresentation_GraphQLRepresentation): void;
export declare function ingestSuccess(luvio: $64$luvio_engine_Luvio, config: adapters_graphql_GraphqlConfig, resourceParams: ResourceRequestConfig, response: $64$luvio_engine_FetchResponse<types_GraphQLRepresentation_GraphQLRepresentation>, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_GraphQLRepresentation_GraphQLRepresentation>): $64$luvio_engine_FulfilledSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, {}> | $64$luvio_engine_StaleSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, {}> | $64$luvio_engine_PendingSnapshot<types_GraphQLRepresentation_GraphQLRepresentation, any>;
export declare function ingestError(luvio: $64$luvio_engine_Luvio, config: adapters_graphql_GraphqlConfig, params: ResourceRequestConfig, error: $64$luvio_engine_ErrorResponse, snapshotRefresh?: $64$luvio_engine_SnapshotRefresh<types_GraphQLRepresentation_GraphQLRepresentation>): $64$luvio_engine_ErrorSnapshot;
export declare function createResourceRequest(config: ResourceRequestConfig): $64$luvio_engine_ResourceRequest;
export default createResourceRequest;
