import { AdvancedLookupDisplayInfoFieldRepresentation as AdvancedLookupDisplayInfoFieldRepresentation_AdvancedLookupDisplayInfoFieldRepresentation } from './AdvancedLookupDisplayInfoFieldRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3eca44e7957c5d65ea0b5cce2fa39d00";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: AdvancedLookupDisplayInfoRepresentation, existing: AdvancedLookupDisplayInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): AdvancedLookupDisplayInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: AdvancedLookupDisplayInfoRepresentationNormalized, incoming: AdvancedLookupDisplayInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: AdvancedLookupDisplayInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Search Lookups - Advanced Lookup Display Info metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupDisplayInfoRepresentationNormalized {
    /** ordered list of advanced Lookup Display Info Fields metadata */
    fields: Array<AdvancedLookupDisplayInfoFieldRepresentation_AdvancedLookupDisplayInfoFieldRepresentation>;
}
/**
 * Search Lookups - Advanced Lookup Display Info metadata
 *
 * Keys:
 *    (none)
 */
export interface AdvancedLookupDisplayInfoRepresentation {
    fields: Array<AdvancedLookupDisplayInfoFieldRepresentation_AdvancedLookupDisplayInfoFieldRepresentation>;
}
