import { AbstractPicklistValueAttributesRepresentation as AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation } from './AbstractPicklistValueAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "4818ec07c499784571c1012ead048c88";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: CaseStatusPicklistValueAttributesRepresentation, existing: CaseStatusPicklistValueAttributesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): CaseStatusPicklistValueAttributesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: CaseStatusPicklistValueAttributesRepresentationNormalized, incoming: CaseStatusPicklistValueAttributesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: CaseStatusPicklistValueAttributesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Additional picklist value attributes for case statuses.
 *
 * Keys:
 *    (none)
 */
export interface CaseStatusPicklistValueAttributesRepresentationNormalized extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    /** True if this status is a closed status, otherwise false. For more info, see the doc for the CaseStatus standard object. */
    closed: boolean;
}
/**
 * Additional picklist value attributes for case statuses.
 *
 * Keys:
 *    (none)
 */
export interface CaseStatusPicklistValueAttributesRepresentation extends AbstractPicklistValueAttributesRepresentation_AbstractPicklistValueAttributesRepresentation {
    closed: boolean;
    picklistAtrributesValueType: 'CaseStatus';
}
