import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "956fbbf5445290d7799827386343dfbc";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: FavoriteInputRepresentation, existing: FavoriteInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): FavoriteInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: FavoriteInputRepresentationNormalized, incoming: FavoriteInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: FavoriteInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Create or update a favorite.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteInputRepresentationNormalized {
    /** The name of the favorite. */
    name: string;
    /** The sort order of the favorite, from 1 to N. */
    sortOrder: number;
    /** The record, API name, or content being favorited. */
    target: string;
    /** The type of favorite. */
    targetType: string;
}
/**
 * Create or update a favorite.
 *
 * Keys:
 *    (none)
 */
export interface FavoriteInputRepresentation {
    name: string;
    sortOrder: number;
    target: string;
    targetType: string;
}
