import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, ResourceIngest as $64$luvio_engine_ResourceIngest, FragmentSelection as $64$luvio_engine_FragmentSelection, LinkSelection as $64$luvio_engine_LinkSelection, StoreLink as $64$luvio_engine_StoreLink, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
import { SearchResultCollectionRepresentation as SearchResultCollectionRepresentation_SearchResultCollectionRepresentation } from './SearchResultCollectionRepresentation';
export declare const VERSION = "d89ecf02b219e60ab0a4c04aea0cac5c";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: KeywordSearchResultsRepresentation, existing: KeywordSearchResultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): KeywordSearchResultsRepresentationNormalized;
export interface DynamicIngestParams {
    results: $64$luvio_engine_ResourceIngest;
}
export declare function dynamicNormalize(ingestParams: DynamicIngestParams): (input: KeywordSearchResultsRepresentation, existing: KeywordSearchResultsRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number) => KeywordSearchResultsRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export interface DynamicSelectParams {
    results?: $64$luvio_engine_LinkSelection;
}
export declare const dynamicSelect: (params: DynamicSelectParams) => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: KeywordSearchResultsRepresentationNormalized, incoming: KeywordSearchResultsRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: KeywordSearchResultsRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
export declare function dynamicIngest(ingestParams: DynamicIngestParams): $64$luvio_engine_ResourceIngest;
/**
 * Keyword Search Results Response
 *
 * Keys:
 *    (none)
 */
export interface KeywordSearchResultsRepresentationNormalized {
    /** List of search result collections, one for each object */
    results: Array<$64$luvio_engine_StoreLink>;
}
/**
 * Keyword Search Results Response
 *
 * Keys:
 *    (none)
 */
export interface KeywordSearchResultsRepresentation {
    results: Array<SearchResultCollectionRepresentation_SearchResultCollectionRepresentation>;
}
