import { ListColumnInlineEditAttributesRepresentation as ListColumnInlineEditAttributesRepresentation_ListColumnInlineEditAttributesRepresentation } from './ListColumnInlineEditAttributesRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "754ee59264b3fbdb850a1802381ffeea";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListColumnInlineEditAttributesRepresentationWrapper, existing: ListColumnInlineEditAttributesRepresentationWrapperNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListColumnInlineEditAttributesRepresentationWrapperNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListColumnInlineEditAttributesRepresentationWrapperNormalized, incoming: ListColumnInlineEditAttributesRepresentationWrapperNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListColumnInlineEditAttributesRepresentationWrapper, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Map of RecordTypeId -> inline edit attributes handrolled type to allow for nillable object
 *
 * Keys:
 *    (none)
 */
export interface ListColumnInlineEditAttributesRepresentationWrapperNormalized {
    [key: string]: ListColumnInlineEditAttributesRepresentation_ListColumnInlineEditAttributesRepresentation;
}
/**
 * Map of RecordTypeId -> inline edit attributes handrolled type to allow for nillable object
 *
 * Keys:
 *    (none)
 */
export interface ListColumnInlineEditAttributesRepresentationWrapper {
    [key: string]: ListColumnInlineEditAttributesRepresentation_ListColumnInlineEditAttributesRepresentation;
}
