import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "98f8e97eae828e3f165bd05c518ae8df";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ListObjectQuickFilterOverridesRepresentation, existing: ListObjectQuickFilterOverridesRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ListObjectQuickFilterOverridesRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ListObjectQuickFilterOverridesRepresentationNormalized, incoming: ListObjectQuickFilterOverridesRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ListObjectQuickFilterOverridesRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * ListObjectQuickFilterOverridesRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectQuickFilterOverridesRepresentationNormalized {
    /** The type to use for quick filters for the column. */
    dataType: string | null;
    /** The picklist values to use during quick filters for this column. */
    picklistValues: Array<{
        [key: string]: string;
    }>;
}
/**
 * ListObjectQuickFilterOverridesRepresentation
 *
 * Keys:
 *    (none)
 */
export interface ListObjectQuickFilterOverridesRepresentation {
    dataType: string | null;
    picklistValues: Array<{
        [key: string]: string;
    }>;
}
