import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "d4730db5d0dc984b94e37e7a1ee08f0b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: LocationFieldRepresentation, existing: LocationFieldRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): LocationFieldRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: LocationFieldRepresentationNormalized, incoming: LocationFieldRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: LocationFieldRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Represents a record field's complex location value.
 *
 * Keys:
 *    (none)
 */
export interface LocationFieldRepresentationNormalized {
    /** Gets the latitude of the location. This value maybe null if both latitude and longitude are null. */
    latitude: number;
    /** Gets the longitude of the location. This value maybe null if both latitude and longitude are null. */
    longitude: number;
}
/**
 * Represents a record field's complex location value.
 *
 * Keys:
 *    (none)
 */
export interface LocationFieldRepresentation {
    latitude: number;
    longitude: number;
}
