import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "c8ba26e643b0a08812056e1c994951a3";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: MatchResultInfoRepresentation, existing: MatchResultInfoRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): MatchResultInfoRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: MatchResultInfoRepresentationNormalized, incoming: MatchResultInfoRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: MatchResultInfoRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Match Result Info
 *
 * Keys:
 *    (none)
 */
export interface MatchResultInfoRepresentationNormalized {
    /** List of recordIds matched. */
    recordIds: Array<string>;
    /** Name of Match rule. */
    rule: string;
}
/**
 * Match Result Info
 *
 * Keys:
 *    (none)
 */
export interface MatchResultInfoRepresentation {
    recordIds: Array<string>;
    rule: string;
}
