import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "9177642b1a4eb130c32252f383f15dcd";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: PerformActionInputRepresentation, existing: PerformActionInputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): PerformActionInputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: PerformActionInputRepresentationNormalized, incoming: PerformActionInputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: PerformActionInputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Description of an input for perform quick action.
 *
 * Keys:
 *    (none)
 */
export interface PerformActionInputRepresentationNormalized {
    /** Set allowSaveOnDuplicate param */
    allowSaveOnDuplicate?: boolean;
    /** Object API name. */
    apiName: string;
    /** The Context Id */
    contextId?: string;
    /** Field values. */
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
/**
 * Description of an input for perform quick action.
 *
 * Keys:
 *    (none)
 */
export interface PerformActionInputRepresentation {
    allowSaveOnDuplicate?: boolean;
    apiName: string;
    contextId?: string;
    fields: {
        [key: string]: string | number | null | boolean;
    };
}
