import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "5caeb733e4ad2e04e3e72af2608faeb0";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: RecordLayoutSaveOptionRepresentation, existing: RecordLayoutSaveOptionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): RecordLayoutSaveOptionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: RecordLayoutSaveOptionRepresentationNormalized, incoming: RecordLayoutSaveOptionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: RecordLayoutSaveOptionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Record layout save option.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSaveOptionRepresentationNormalized {
    /** Default Value of the save option. */
    defaultValue: boolean;
    /** Is Displayed */
    isDisplayed: boolean;
    /** Label of the save option. */
    label: string;
    /** Name of the save option. */
    name: string;
    /** Rest Header Name of the save option. */
    restHeaderName: string;
    /** Soap Header Name of the save option. */
    soapHeaderName: string;
}
/**
 * Record layout save option.
 *
 * Keys:
 *    (none)
 */
export interface RecordLayoutSaveOptionRepresentation {
    defaultValue: boolean;
    isDisplayed: boolean;
    label: string;
    name: string;
    restHeaderName: string;
    soapHeaderName: string;
}
