import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "536dd2c33be90106386bdc270d94a893";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ResourceReferenceRepresentation, existing: ResourceReferenceRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ResourceReferenceRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ResourceReferenceRepresentationNormalized, incoming: ResourceReferenceRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ResourceReferenceRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Resource reference.
 *
 * Keys:
 *    (none)
 */
export interface ResourceReferenceRepresentationNormalized {
    /** Resource reference category type. */
    categoryType: string;
    /** Config. */
    config: {
        [key: string]: {};
    };
    /** Group ID. */
    groupId: string;
    /** Name. */
    name: string;
}
/**
 * Resource reference.
 *
 * Keys:
 *    (none)
 */
export interface ResourceReferenceRepresentation {
    categoryType: string;
    config: {
        [key: string]: {};
    };
    groupId: string;
    name: string;
}
