import { SearchIntentActionRepresentation as SearchIntentActionRepresentation_SearchIntentActionRepresentation } from './SearchIntentActionRepresentation';
import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "fee0987df4042b7422aba3a08ba75b4f";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: SearchIntentOutputRepresentation, existing: SearchIntentOutputRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): SearchIntentOutputRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: SearchIntentOutputRepresentationNormalized, incoming: SearchIntentOutputRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: SearchIntentOutputRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Actions to take next for a search query based on intent
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentOutputRepresentationNormalized {
    /** The list of actions to take for a search query based on intent */
    actions: Array<SearchIntentActionRepresentation_SearchIntentActionRepresentation>;
}
/**
 * Actions to take next for a search query based on intent
 *
 * Keys:
 *    (none)
 */
export interface SearchIntentOutputRepresentation {
    actions: Array<SearchIntentActionRepresentation_SearchIntentActionRepresentation>;
}
