import type { FieldNode } from '@luvio/graphql-parser';
import type { RecordRepresentation } from '../../../generated/types/RecordRepresentation';
import type { GraphQLLuvioState } from '../../../generated/graphql/types/type-util';
import type { PartialInterface as GraphQLRecordRepresentation } from '../../../generated/graphql/types/RecordRepresentation';
import type { RecordFieldTrie } from '../../../util/records';
interface RecordRepresentationConversionResult {
    recordRepresentation: RecordRepresentation;
    fieldsTrie: RecordFieldTrie;
}
export declare function convertGraphQLToRaml(astNode: FieldNode, state: GraphQLLuvioState<GraphQLRecordRepresentation>): RecordRepresentationConversionResult;
export {};
