import type { Fragment, Luvio, NormalizedKeyMetadata, Selector } from '@luvio/engine';
import type { GetRecordAvatarsConfig as BaseGetRecordAvatarsConfig } from '../../../generated/adapters/getRecordAvatars';
export declare const KEY: string;
export interface GetRecordAvatarsConfig extends BaseGetRecordAvatarsConfig {
    uncachedRecordIds?: Array<string | NormalizedKeyMetadata>;
}
export type BuildSnapshotContext = {
    luvio: Luvio;
    config: GetRecordAvatarsConfig;
    uncachedRecordIds?: (string | NormalizedKeyMetadata)[];
};
export declare function recordAvatarsFragment(recordIds: string[]): Fragment;
export declare function recordAvatarsSelector(recordIds: string[]): Selector;
