import type { Luvio, Snapshot } from '@luvio/engine';
import { type RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { UpdateRecordConfig } from '../../generated/adapters/updateRecord';
export interface ClientOptions {
    ifUnmodifiedSince?: string;
}
export declare function buildNetworkSnapshot(luvio: Luvio, config: UpdateRecordConfig, clientOptions?: unknown): Promise<Snapshot<RecordRepresentation>>;
export declare const factory: (luvio: Luvio) => (untrusted: unknown, clientOptions?: unknown) => Promise<Snapshot<RecordRepresentation>>;
